import { Action } from '@ngrx/store';
import { BoardState } from '../states/board.state';
export declare const GET = "[board] Get";
export declare const GET_SUCCESS = "[board] GetSuccess";
export declare const GET_ERROR = "[board] GetError";
export declare class Get implements Action {
    readonly type: string;
}
export declare class GetSuccess implements Action {
    payload: BoardState;
    constructor(payload: BoardState);
    readonly type: string;
}
export declare class GetError implements Action {
    readonly type: string;
}
export declare type All = Get | GetSuccess | GetError;
