import { Action } from '@ngrx/store';
import { InfotipState } from './../states/infotip.state';
export declare const GET = "[Infotip] Get";
export declare const GET_SUCCESS = "[Infotip] GetSuccess";
export declare const GET_ERROR = "[Infotip] GetError";
export declare class Get implements Action {
    readonly type: string;
}
export declare class GetSuccess implements Action {
    payload: InfotipState;
    constructor(payload: InfotipState);
    readonly type: string;
}
export declare class GetError implements Action {
    readonly type: string;
}
export declare type All = Get | GetSuccess | GetError;
