import { Action } from '@ngrx/store';
import { WorkItemType } from '../models/work-item-type';
export declare const GET = "[wi-state] Get";
export declare const GET_SUCCESS = "[wi-state] GetSuccess";
export declare const GET_ERROR = "[wi-state] GetError";
export declare class Get implements Action {
    readonly type: string;
}
export declare class GetSuccess implements Action {
    payload: WorkItemType[];
    constructor(payload: WorkItemType[]);
    readonly type: string;
}
export declare class GetError implements Action {
    readonly type: string;
}
export declare type All = Get | GetSuccess | GetError;
