import { EventEmitter } from '@angular/core';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { PermissionQuery } from '../../models/permission.model';
import { WorkItemUI } from '../../models/work-item';
import { ModalService } from '../../services/modal.service';
import { AppState } from '../../states/app.state';
export declare class DeleteWorkItemComponent {
    private modalService;
    private store;
    private permissionQuery;
    workItemInput: WorkItemUI;
    detailContext: string;
    readonly onDelete: EventEmitter<any>;
    allowDelete: Observable<boolean>;
    workItem: WorkItemUI;
    constructor(modalService: ModalService, store: Store<AppState>, permissionQuery: PermissionQuery);
    deleteWorkItem(event: MouseEvent): void;
}
