import { EventEmitter } from '@angular/core';
import { GroupTypeUI } from '../../models/group-types.model';
import { IterationUI } from '../../models/iteration.model';
export declare class IterationTreeComponent {
    iterationList: IterationUI[];
    collection: any;
    witGroup: GroupTypeUI;
    showTree: string;
    showCompleted: string;
    context: 'list' | 'board';
    readonly onEditIteration: EventEmitter<IterationUI>;
    readonly onCloseIteration: EventEmitter<IterationUI>;
    readonly onCreateIteration: EventEmitter<IterationUI>;
    editIteration(iteration: any): void;
    closeIteration(iteration: any): void;
    createIteration(iteration: any): void;
}
