import { OnDestroy, OnInit } from '@angular/core';
import { CommentQuery, CommentUI } from './../../models/comment';
import { UserUI } from './../../models/user';
import { WorkItemUI } from './../../models/work-item';
export declare class WorkItemCommentWrapperComponent implements OnInit, OnDestroy {
    private commentQuery;
    loggedIn: boolean;
    loggedInUser: UserUI;
    workItemSetter: WorkItemUI;
    private workItem;
    private comments;
    private eventListeners;
    constructor(commentQuery: CommentQuery);
    ngOnInit(): void;
    ngOnDestroy(): void;
    createComment(newComment: CommentUI): void;
    updateComment(comment: CommentUI): void;
    deleteComment(event: any): void;
}
