import { Actions } from '@ngrx/effects';
import { Observable } from 'rxjs';
import { SpaceQuery } from '../models/space';
import * as CollaboratorActions from './../actions/collaborator.actions';
import * as UserActions from './../actions/user.actions';
import { CollaboratorService as CollabService } from './../services/collaborator.service';
import { ErrorHandler } from './work-item-utils';
export declare type Action = CollaboratorActions.All | UserActions.All;
export declare class CollaboratorEffects {
    private actions$;
    private collaboratorService;
    private spaceQuery;
    private errHandler;
    constructor(actions$: Actions, collaboratorService: CollabService, spaceQuery: SpaceQuery, errHandler: ErrorHandler);
    getCollaborators$: Observable<Action>;
}
