import { Actions } from '@ngrx/effects';
import { Observable } from 'rxjs';
import { SpaceQuery } from '../models/space';
import * as GroupTypeActions from './../actions/group-type.actions';
import { GroupTypesService as GTService } from './../services/group-types.service';
import { ErrorHandler } from './work-item-utils';
export declare type Action = GroupTypeActions.All;
export declare class GroupTypeEffects {
    private actions$;
    private groupTypeService;
    private spaceQuery;
    private errHandler;
    constructor(actions$: Actions, groupTypeService: GTService, spaceQuery: SpaceQuery, errHandler: ErrorHandler);
    getGroupTypes$: Observable<Action>;
}
