import { UserService as UserServiceClass } from 'ngx-login-client';
import { Observable } from 'rxjs';
import { SpaceQuery } from './space';
import { UserQuery } from './user';
export declare class PermissionQuery {
    private userQuery;
    private spaceQuery;
    private userService;
    constructor(userQuery: UserQuery, spaceQuery: SpaceQuery, userService: UserServiceClass);
    isAllowedToAdd(): Observable<boolean>;
    isAllowedToDelete(workItem: any): Observable<boolean>;
}
