var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
import * as BoardActions from '../actions/board.actions';
import { initialState } from '../states/board.state';
export var BoardReducer = function (state, action) {
    if (state === void 0) { state = initialState; }
    switch (action.type) {
        case BoardActions.GET_SUCCESS: {
            return __assign({}, action.payload);
        }
        case BoardActions.GET_ERROR: {
            return state;
        }
        default: {
            return state;
        }
    }
};
//# sourceMappingURL=board.reducer.js.map