import { createEntityAdapter } from '@ngrx/entity';
import * as LabelActions from './../actions/label.actions';
import { initialState } from './../states/label.state';
var labelAdapter = createEntityAdapter();
export var LabelReducer = function (state, action) {
    if (state === void 0) { state = initialState; }
    switch (action.type) {
        case LabelActions.GET_SUCCESS: {
            return labelAdapter.addAll(action.payload, state);
        }
        case LabelActions.GET_ERROR: {
            return state;
        }
        case LabelActions.ADD_SUCCESS: {
            return labelAdapter.addOne(action.payload, state);
        }
        case LabelActions.ADD_ERROR: {
            return state;
        }
        default: {
            return state;
        }
    }
};
//# sourceMappingURL=label.reducer.js.map