import { Observable } from 'rxjs';
import { HttpClientService } from '../shared/http-module/http.service';
import { BoardModel } from './../models/board.model';
export declare class BoardService {
    private http;
    constructor(http: HttpClientService);
    /**
     * Usage: this is used to get the board API url from spacetemplate response
     * @param spaceTemplateApiUrl
     */
    getBoardApiUrl(spaceTemplateApiUrl: string): Observable<any>;
    /**
     * Usage: this is to get the list board for a sapce
     * @param boardUrl
     */
    getBoards(boardUrl: string): Observable<BoardModel>;
}
