import { Action } from '@ngrx/store';
import { AreaState } from '../states/area.state';
export declare const GET = "[area] Get";
export declare const GET_SUCCESS = "[area] GetSuccess";
export declare const GET_ERROR = "[area] GetError";
export declare class Get implements Action {
    readonly type: string;
}
export declare class GetSuccess implements Action {
    payload: AreaState;
    constructor(payload: AreaState);
    readonly type: string;
}
export declare class GetError implements Action {
    readonly type: string;
}
export declare type All = Get | GetSuccess | GetError;
