import { Action } from '@ngrx/store';
import { WorkItemUI } from './../models/work-item';
export declare const GET_WORKITEM = "[workItem] GetWorkItem";
export declare const GET_WORKITEM_SUCCESS = "[workItem] GetWorkItemSuccess";
export declare const GET_WORKITEM_ERROR = "[workItem] GetWorkItemError";
export declare class GetWorkItem implements Action {
    payload: {
        number: string | number;
    };
    constructor(payload: {
        number: string | number;
    });
    readonly type: string;
}
export declare class GetWorkItemSuccess implements Action {
    payload: WorkItemUI;
    constructor(payload: WorkItemUI);
    readonly type: string;
}
export declare class GetWorkItemError implements Action {
    readonly type: string;
}
export declare type All = GetWorkItem | GetWorkItemSuccess | GetWorkItemError;
