import { Action } from '@ngrx/store';
import { EventUI } from './../models/event.model';
export declare const GET = "[event] Get";
export declare const GET_SUCCESS = "[event] GetSuccess";
export declare const GET_ERROR = "[event] GetError";
export declare class Get implements Action {
    payload: string;
    constructor(payload: string);
    readonly type: string;
}
export declare class GetSuccess implements Action {
    payload: EventUI[];
    constructor(payload: EventUI[]);
    readonly type: string;
}
export declare class GetError implements Action {
    readonly type: string;
}
export declare type All = Get | GetSuccess | GetError;
