import { Action } from '@ngrx/store';
import { GroupTypeUI } from './../models/group-types.model';
export declare const GET = "[group-type] Get";
export declare const GET_SUCCESS = "[group-type] GetSuccess";
export declare const GET_ERROR = "[group-type] GetError";
export declare const SELECT = "[group-type] Select";
export declare class Get implements Action {
    readonly type: string;
}
export declare class GetSuccess implements Action {
    payload: GroupTypeUI[];
    constructor(payload: GroupTypeUI[]);
    readonly type: string;
}
export declare class GetError implements Action {
    readonly type: string;
}
export declare class SelectType implements Action {
    readonly type: string;
    payload: GroupTypeUI;
    constructor(payload: GroupTypeUI);
}
export declare type All = Get | GetSuccess | GetError | SelectType;
