import { Action } from '@ngrx/store';
import { WorkItemTypeUI } from './../models/work-item-type';
export declare const GET = "[wi-type] Get";
export declare const GET_SUCCESS = "[wi-type] GetSuccess";
export declare const GET_ERROR = "[wi-type] GetError";
export declare class Get implements Action {
    readonly type: string;
}
export declare class GetSuccess implements Action {
    payload: WorkItemTypeUI[];
    constructor(payload: WorkItemTypeUI[]);
    readonly type: string;
}
export declare class GetError implements Action {
    readonly type: string;
}
export declare type All = Get | GetSuccess | GetError;
