export var ADD = '[workItem] Add';
export var GET = '[workItem] Get';
export var UPDATE = '[workItem] Update';
export var ADD_SUCCESS = '[workItem] AddSuccess';
export var ADD_ERROR = '[workItem] AddError';
export var GET_SUCCESS = '[workItem] GetSuccess';
export var GET_ERROR = '[workItem] GetError';
export var UPDATE_SUCCESS = '[workItem] UpdateSuccess';
export var UPDATE_ERROR = '[workItem] UpdateError';
export var GET_CHILDREN = '[workItem] GetChildren';
export var GET_CHILDREN_SUCCESS = '[workItem] GetChildrenSuccess';
export var GET_CHILDREN_ERROR = '[workItem] GetChildrenError';
export var REORDER = '[workItem] Reorder';
export var REORDER_ERROR = '[workItem] ReorderError';
export var UPDATE_WORKITEM_ITERATION = '[workItem] UpdateWorkitemIteration';
export var CREATE_LINK = '[workItemLink] CreateLink';
export var DELETE_LINK = '[workItemLink] DeleteLink';
export var RESET_WORKITEMS = '[workItem] Reset WorkItems';
export var GET_MORE_WORKITEMS = '[workItems] Get More WorkItems';
export var GET_MORE_WORKITEMS_SUCCESS = '[workItems] Get More WorkItems Success';
export var NEXT_LINK_SUCCESS = '[workItem] Next Link Success';
export var DELETE = '[workItem] Delete';
export var DELETE_SUCCESS = '[workItem] DeleteSuccess';
export var DELETE_ERROR = '[workItem] DeleteError';
var Add = /** @class */ (function () {
    function Add(payload) {
        this.type = ADD;
        this.payload = payload;
    }
    return Add;
}());
export { Add };
var Get = /** @class */ (function () {
    function Get(payload) {
        this.type = GET;
        this.payload = payload;
    }
    return Get;
}());
export { Get };
var Update = /** @class */ (function () {
    function Update(payload) {
        this.type = UPDATE;
        this.payload = payload;
    }
    return Update;
}());
export { Update };
var AddSuccess = /** @class */ (function () {
    function AddSuccess(payload) {
        this.type = ADD_SUCCESS;
        this.payload = payload;
    }
    return AddSuccess;
}());
export { AddSuccess };
var AddError = /** @class */ (function () {
    function AddError() {
        this.type = ADD_ERROR;
    }
    return AddError;
}());
export { AddError };
var GetSuccess = /** @class */ (function () {
    function GetSuccess(payload) {
        this.type = GET_SUCCESS;
        this.payload = payload;
    }
    return GetSuccess;
}());
export { GetSuccess };
var GetError = /** @class */ (function () {
    function GetError() {
        this.type = GET_ERROR;
    }
    return GetError;
}());
export { GetError };
var GetChildren = /** @class */ (function () {
    function GetChildren(payload) {
        this.type = GET_CHILDREN;
        this.payload = payload;
    }
    return GetChildren;
}());
export { GetChildren };
var GetChildrenSuccess = /** @class */ (function () {
    function GetChildrenSuccess(payload) {
        this.type = GET_CHILDREN_SUCCESS;
        this.payload = payload;
    }
    return GetChildrenSuccess;
}());
export { GetChildrenSuccess };
var GetChildrenError = /** @class */ (function () {
    function GetChildrenError(payload) {
        this.type = GET_CHILDREN_ERROR;
        this.payload = payload;
    }
    return GetChildrenError;
}());
export { GetChildrenError };
var UpdateSuccess = /** @class */ (function () {
    function UpdateSuccess(payload) {
        this.type = UPDATE_SUCCESS;
        this.payload = payload;
    }
    return UpdateSuccess;
}());
export { UpdateSuccess };
var UpdateError = /** @class */ (function () {
    function UpdateError() {
        this.type = UPDATE_ERROR;
    }
    return UpdateError;
}());
export { UpdateError };
var Reorder = /** @class */ (function () {
    function Reorder(payload) {
        this.type = REORDER;
        this.payload = payload;
    }
    return Reorder;
}());
export { Reorder };
var UpdateWorkitemIteration = /** @class */ (function () {
    function UpdateWorkitemIteration(payload) {
        this.type = UPDATE_WORKITEM_ITERATION;
        this.payload = payload;
    }
    return UpdateWorkitemIteration;
}());
export { UpdateWorkitemIteration };
var CreateLink = /** @class */ (function () {
    function CreateLink(payload) {
        this.type = CREATE_LINK;
        this.payload = payload;
    }
    return CreateLink;
}());
export { CreateLink };
var DeleteLink = /** @class */ (function () {
    function DeleteLink(payload) {
        this.type = DELETE_LINK;
        this.payload = payload;
    }
    return DeleteLink;
}());
export { DeleteLink };
var ResetWorkItems = /** @class */ (function () {
    function ResetWorkItems() {
        this.type = RESET_WORKITEMS;
    }
    return ResetWorkItems;
}());
export { ResetWorkItems };
var GetMoreWorkItems = /** @class */ (function () {
    function GetMoreWorkItems(payload) {
        this.type = GET_MORE_WORKITEMS;
        this.payload = payload;
    }
    return GetMoreWorkItems;
}());
export { GetMoreWorkItems };
var GetMoreWorkItemsSuccess = /** @class */ (function () {
    function GetMoreWorkItemsSuccess(payload) {
        this.type = GET_MORE_WORKITEMS_SUCCESS;
        this.payload = payload;
    }
    return GetMoreWorkItemsSuccess;
}());
export { GetMoreWorkItemsSuccess };
var Delete = /** @class */ (function () {
    function Delete(payload) {
        this.type = DELETE;
        this.payload = payload;
    }
    return Delete;
}());
export { Delete };
var DeleteSuccess = /** @class */ (function () {
    function DeleteSuccess(payload) {
        this.type = DELETE_SUCCESS;
        this.payload = payload;
    }
    return DeleteSuccess;
}());
export { DeleteSuccess };
var DeleteError = /** @class */ (function () {
    function DeleteError() {
        this.type = DELETE_ERROR;
    }
    return DeleteError;
}());
export { DeleteError };
//# sourceMappingURL=work-item.actions.js.map