import { EventEmitter } from '@angular/core';
import { SelectDropdownComponent } from './../../widgets/select-dropdown/select-dropdown.component';
export declare class CommonSelectorComponent {
    dropdownRef: SelectDropdownComponent;
    private _internalItems;
    listItemSetter: any[];
    selectedItems: any[];
    _selectedItemsBackup: any[];
    selectedItemsSetter: any;
    allowMultiSelect: boolean;
    closeOnSelect: boolean;
    headerText: string;
    noValueLabel: string;
    allowUpdate: boolean;
    itemTruncate: number;
    toggleTruncate: number;
    readonly onSelectItem: EventEmitter<any[]>;
    readonly onOpenSelector: EventEmitter<any>;
    readonly onCloseSelector: EventEmitter<any[]>;
    private backup;
    private searchValue;
    private menuItems;
    isOpen: boolean;
    constructor();
    onSelect(event: any): void;
    updateSelection(): void;
    onSearch(event: any): void;
    onOpen(event: any): void;
    onClose(event: any): void;
    openDropdown(): void;
    closeDropdown(): void;
    closeSelector(): void;
}
