import { EventEmitter, OnChanges, OnDestroy, OnInit } from '@angular/core';
import { IMyDateModel, MyDatePicker } from 'mydatepicker';
import { Broadcaster } from 'ngx-base';
import { IterationQuery, IterationUI } from '../../models/iteration.model';
import { Store } from '@ngrx/store';
import { AppState } from './../../../app/states/app.state';
export declare class FabPlannerIterationModalComponent implements OnInit, OnDestroy, OnChanges {
    private broadcaster;
    private store;
    private iterationQuery;
    readonly onSubmit: EventEmitter<{}>;
    createUpdateIterationDialog: any;
    iterationSearch: any;
    iterationList: any;
    startmydp: MyDatePicker;
    endmydp: MyDatePicker;
    iteration: IterationUI;
    private validationError;
    private modalType;
    private submitBtnTxt;
    private modalTitle;
    private startDate;
    private endDate;
    private spaceError;
    private iterationName;
    private submitLoading;
    iterations: IterationUI[];
    iterationsValue: any;
    filteredIterations: any;
    selectedParentIteration: IterationUI;
    selectedParentIterationName: string;
    iterationSearchDisable: Boolean;
    showIterationDropdown: Boolean;
    validationString: string;
    private startDatePickerOptions;
    private endDatePickerOptions;
    private startDateSelector;
    private endDateSelector;
    constructor(broadcaster: Broadcaster, store: Store<AppState>, iterationQuery: IterationQuery);
    ngOnInit(): void;
    resetValues(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    openCreateUpdateModal(type?: string, iteration?: IterationUI | null, e?: any): void;
    actionOnOpen(): void;
    actionOnClose(): void;
    onStartCalendarToggle(event: any): void;
    onEndCalendarToggle(event: any): void;
    onStartDateChanged(event: IMyDateModel): void;
    onEndDateChanged(event: IMyDateModel): void;
    iterationSearchFocus(): void;
    getIterations(): void;
    setParentIteration(value: any): void;
    filterIteration(event: any): void;
    actionOnSubmit(): void;
    removeError(): void;
    onChecked(event: any): void;
}
