import { EventEmitter } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { LabelUI } from './../../models/label.model';
import { FilterService } from './../../services/filter.service';
export declare class LabelsComponent {
    private route;
    private filterService;
    private _labels;
    labelInput: LabelUI[];
    truncateAfter: number;
    allowDelete: boolean;
    context: string;
    readonly onLabelClick: EventEmitter<{}>;
    readonly onRemoveLabel: EventEmitter<{}>;
    private labels;
    private showMore;
    private queryParams;
    constructor(route: ActivatedRoute, filterService: FilterService);
    moreClick(event: any): void;
    clickLabel(label: any, event: any): void;
    removeLabel(label: any, event: any): void;
    constructQueryExpression(labelId: any): any;
}
