import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TooltipConfig, TooltipModule } from 'ngx-bootstrap/tooltip';
import { CardModule } from 'patternfly-ng/card';
import { AssigneesModule } from '../assignee/assignee.module';
import { UserAvatarModule } from './../../widgets/user-avatar/user-avatar.module';
import { LabelsModule } from './../labels/labels.module';
import { PlannerCardComponent } from './planner-card.component';
var PlannerCardModule = /** @class */ (function () {
    function PlannerCardModule() {
    }
    PlannerCardModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CardModule,
                        CommonModule,
                        TooltipModule,
                        UserAvatarModule,
                        LabelsModule,
                        AssigneesModule
                    ],
                    declarations: [
                        PlannerCardComponent
                    ],
                    providers: [TooltipConfig],
                    exports: [
                        PlannerCardComponent
                    ]
                },] },
    ];
    /** @nocollapse */
    PlannerCardModule.ctorParameters = function () { return []; };
    return PlannerCardModule;
}());
export { PlannerCardModule };
//# sourceMappingURL=planner-card.module.js.map