import { Actions } from '@ngrx/effects';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import * as DetailWorkItemActions from './../actions/detail-work-item.actions';
import { WorkItemUI } from './../models/work-item';
import { WorkItemService as WIService } from './../services/work-item.service';
import { AppState } from './../states/app.state';
import { ErrorHandler } from './work-item-utils';
export declare type Action = DetailWorkItemActions.All;
export declare class DetailWorkItemEffects {
    private actions$;
    private workItemService;
    private store;
    private errHandler;
    private workItemMapper;
    constructor(actions$: Actions, workItemService: WIService, store: Store<AppState>, errHandler: ErrorHandler);
    resolveWorkItems(workItems: any, state: any, matchingQuery?: boolean, ancestors?: string[]): WorkItemUI[];
    getWorkItem$: Observable<Action>;
}
