import { Injectable } from '@angular/core';
import { map } from 'rxjs/operators';
import { HttpClientService } from './../shared/http-module/http.service';
var CollaboratorService = /** @class */ (function () {
    function CollaboratorService(httpClienService) {
        this.httpClienService = httpClienService;
    }
    CollaboratorService.prototype.getCollaborators = function (url) {
        return this.httpClienService.get(url)
            .pipe(map(function (resp) { return resp.data; }));
    };
    CollaboratorService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    CollaboratorService.ctorParameters = function () { return [
        { type: HttpClientService, },
    ]; };
    return CollaboratorService;
}());
export { CollaboratorService };
//# sourceMappingURL=collaborator.service.js.map