import { Injectable } from '@angular/core';
import { map } from 'rxjs/operators';
import { HttpClientService } from '../shared/http-module/http.service';
var GroupTypesService = /** @class */ (function () {
    function GroupTypesService(http) {
        this.http = http;
    }
    GroupTypesService.prototype.getGroupTypes = function (url) {
        return this.http
            .get(url)
            .pipe(map(function (r) { return r.data; }));
    };
    GroupTypesService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    GroupTypesService.ctorParameters = function () { return [
        { type: HttpClientService, },
    ]; };
    return GroupTypesService;
}());
export { GroupTypesService };
//# sourceMappingURL=group-types.service.js.map