import { ElementRef, EventEmitter, OnInit, TemplateRef } from '@angular/core';
export declare class SelectDropdownComponent implements OnInit {
    headerText: string;
    toggleButtonRef: TemplateRef<any>;
    dropdownItem: TemplateRef<any>;
    dropdownFooter: TemplateRef<any>;
    menuItems: any[];
    showSearch: boolean;
    disabled: boolean;
    loading: boolean;
    readonly onSelect: EventEmitter<any>;
    readonly onSearch: EventEmitter<any>;
    readonly onOpen: EventEmitter<any>;
    readonly onClose: EventEmitter<any>;
    searchInput: ElementRef;
    constructor();
    private displayDropdown;
    ngOnInit(): void;
    openDropdown(): void;
    closeDropdown(): void;
    selectItem(item: any): void;
    searchItem(text: string): void;
    clickOut(): void;
    setSearchText(text: string): void;
}
